using Assembly_Library; //namespace, where LibraryClass type is defined

namespace Assembly
{
  /// <summary>
  /// 02 - Assembly
  /// - Doble click on properties in solution explorer window to set up assembly properties
  /// - one project = one library or executable
  /// - C# doesnt allow circular references
  /// - One project can contain one or more namespaces
  /// - To use types defined outside this project you have to:
  ///   - add assembly reference to project
  ///   - add namespaces to using into all files, where you want to access external types
  /// </summary>
  class Program
  {
    static void Main(string[] args)
    {
      LibraryClass a; //referenced by using
      Assembly_Library.LibraryClass b;//referenced by full name

      //Assembly_Library.OtherClasses.LibraryClassB b; //isnt visible in this project due protection level
      //=> compilation error
    }
  }
}
