
namespace OPP_Modeling
{
  /// <summary>
  /// Inherited constructors
  /// </summary>
  public class BMW_Z3 : BMW
  {
    /// <summary>
    /// Uses parent Car class constructor with name parameter.
    /// Constructors are allways called in inheritance sequence from object to child class.
    /// So this is the last called constructor.
    /// </summary>
    public BMW_Z3() : base("Z3")
    { 
    
    }

    public BMW_Z3(string name) : base(name)
    {
      this.Name = "BMW Z3 - " + this.Name;
    }
  }
}
